PROGRAM Compute_dlnPkdlnk
 USE linearpk
 ! A program for computing the logarithmic derivative of
 ! the linear power spectrum, dln(P(k))/dlnk
 ! August 30, 2008: E.Komatsu
 double precision :: dlnpkdlnk,k_ov_h,dummy
 character(len=128) :: infile,outfile
 integer :: i,n
 external dlnpkdlnk
 ! input power spectrum data
 infile='wmap5baosn_max_likelihood_matterpower.dat'
 n=896 ! # of lines in the file
 CALL open_linearpk(infile,n)
 ! output 
 outfile='dlnpkdlnk.txt'
 open(1,file=infile,status='old')
 open(2,file=outfile,status='unknown')
 read(1,*)k_ov_h,dummy
 do i=1,n-2
    read(1,*)k_ov_h,dummy
    write(2,'(2E16.5)')k_ov_h,dlnpkdlnk(k_ov_h)
 enddo 
 close(1)
 close(2)
 CALL close_linearpk
END PROGRAM Compute_dlnPkdlnk
